!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : pas besoin de module puisqu'il n'y a pas d'argument
! Contenu : function calcul_mots_cles
! Date de création : 10 août 2007
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
! Fonction : calcule le nombre de mots-clés contenus dans le fichier 
! NOM_FICHIER_MOTS_CLES
!
! Local : 
!  etat : statut du fichier (présent, fin)
!  mot : mot-clé lu dans le fichier NOM_FICHIER_MOTS_CLES
!------------------------------------------------------------------------------
function calcul_mots_cles ()
 
  use mod_definitions
  implicit none

  integer calcul_mots_cles

  integer :: etat
  character (len = MOT_MAX) :: mot

  open (UN_MOTS_CLES, file = NOM_FICHIER_MOTS_CLES, form = 'formatted', &
        status = 'old', action = 'read', iostat = etat)
                     
  if (etat /= 0) then
    write (*,11) "===> Le fichier contenant les mots-clés est introuvable."
    stop
  end if

  calcul_mots_cles = 0
  do   
    read (UN_MOTS_CLES, 11, iostat = etat) mot
    if (etat /= 0) exit
    calcul_mots_cles = calcul_mots_cles + 1
  end do

  close (UN_MOTS_CLES)

  write (*, 12) "===> Nombre de mots-clés définis dans la liste : ", &
                calcul_mots_cles

11 format (A)
12 format (A,I3)

end function calcul_mots_cles
