!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_capitales
! Contenu : routine capitales
! Date de création : 10 août 2007
! Dernière modification : 21 juillet 2008
!------------------------------------------------------------------------------ 
module mod_capitales
contains
!------------------------------------------------------------------------------ 
! Fonction :  réécrire mot en capitales
!
! Entrée : 
!   mot  : mot lu caractère par caractère
!   long : longueur du mot
!
! Sortie :
!   cap : mot réécrit en capitales
!------------------------------------------------------------------------------
subroutine capitales (mot, long, cap)

  implicit none

  character (len = *), intent(in) :: mot   
  integer, intent(in) :: long
  character (len = *), intent(out) :: cap

  integer i

  do i = 1, long
    if (mot(i:i) >= 'a' .and.  mot(i:i) <= 'z') then
      cap(i:i) = char (ichar(mot(i:i)) - 32)
    else
      cap(i:i) = mot(i:i)
    end if      
  end do

end subroutine capitales
!------------------------------------------------------------------------------
end module mod_capitales
