!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_caractere
! Contenu : function caractere
! Date de création : 14 juillet 2008
! Dernière modification : 21 juillet 2008
!----------------------------------------------------------------------------- 
module mod_caractere
contains
!----------------------------------------------------------------------------- 
! Fonction : le caractère est-il un caractère valide dans un nom de mot-clé
!            ou de variable 
!
! Entrée :
!   c : caractère à valider
!------------------------------------------------------------------------------
function caractere (c)
                      
  character, intent(in) :: c
  logical caractere

  caractere = .FALSE.

  if (c >= 'a' .and. c <= 'z') then
    caractere = .TRUE.

  else if (c >= 'A' .and. c <= 'Z') then
    caractere = .TRUE.

  else if (c == '_') then
    caractere = .TRUE.

  end if

end function caractere
!------------------------------------------------------------------------------
end module mod_caractere

