!------------------------------------------------------------------------------
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
!
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------
! Module : module mod_definitions
! Contenu : définition des paramètres
! Date de création : 16 juillet 2008
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------
module mod_definitions

! Nom du fichier contenant les mots-clés
  character (len = 8) :: NOM_FICHIER_MOTS_CLES = "MOTSCLES"

! Longueur maximale des mots clés définis 18 car (SELECTED_REAL_KIND)
  integer, parameter :: MOT_MAX = 18

! Définition du \
  character, parameter :: BACKSL = '\'

! Unité logique associée au fichier d'entrée
  integer, parameter :: UN_ENTREE = 21

! Unité logique associée au fichier de sortie
  integer, parameter :: UN_SORTIE = 22

! Unité logique pointant sur le fichier de mots-clés
  integer, parameter :: UN_MOTS_CLES = 23

! Définitions des fontes
! Fonte utilisée pour le texte courant
  character (len = 8), parameter :: FONTE_TEXTE = BACKSL // "textrm{"

! Fonte utilisée pour les mots-clés
  character (len = 8), parameter :: FONTE_MOTCLE = BACKSL // "textbf{"

! Fonte utilisée pour les chaînes de caractères
  character (len = 8), parameter :: FONTE_CHAINE = BACKSL // "texttt{"

! Fonte utilisée pour les commentaires
  character (len = 8), parameter :: FONTE_COMMENT = BACKSL // "textit{"

end module mod_definitions


