!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_ecrire_chaine
! Contenu : routine ecrire_chaine
! Date de création : 21 juillet 2008
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
module mod_ecrire_chaine
contains
!------------------------------------------------------------------------------ 
! Fonction : écriture des commentaires
!
! Entrée :
!   borne : borne limitant une chaine de caractère (' ou ")
!   entree : ligne lue dans le fichier source
!   ind_entree : index de la chaine d'entrée
!   long_entree : longueur réelle de la chaine d'entrée
!
! Sortie : -
!   sortie : chaine de sortie (i.e entree traduite)
!   ind_sortie : index de la chaine de sortie
!
! Local : 
!   fin_chaine : indice de fin de chaine
!------------------------------------------------------------------------------
subroutine ecrire_chaine (borne, entree, ind_entree, long_entree, sortie, &
                          ind_sortie)

  use mod_definitions
  use mod_special

  implicit none

  character, intent(in) :: borne
  character (len = *), intent(in) :: entree
  integer, intent(inout) :: ind_entree
  integer, intent(in) :: long_entree
  character (len = *), intent(out) :: sortie
  integer, intent(out) :: ind_sortie

  integer i, fin_chaine
  character c

  sortie(ind_sortie : ind_sortie + 8) = FONTE_CHAINE
  sortie (ind_sortie + 9 : ind_sortie + 9) = borne 
  ind_sortie = ind_sortie + 9

! On cherche la fin de la chaine
  fin_chaine = ind_entree + 1
  do 
    c = entree(fin_chaine:fin_chaine)
    if (c == borne) exit
    fin_chaine = fin_chaine + 1
    if (fin_chaine > long_entree) then
      print *,"===> Erreur : fin de chaine introuvable dans la ligne ",   &
              entree
      stop
    end if
  end do 

  do i = ind_entree, fin_chaine -1
    c = entree (i:i)
    call special (c, sortie, ind_sortie)
  end do

  ind_entree = fin_chaine

  sortie(ind_sortie:ind_sortie + 1) = borne // '}'   
  ind_sortie = ind_sortie + 2
  
end subroutine ecrire_chaine
!------------------------------------------------------------------------------ 
end module mod_ecrire_chaine
