!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_ecrire_commentaire
! Contenu : routine ecrire_commentaire 
! Date de création : 21 juillet 2008
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
module mod_ecrire_commentaire
contains
!------------------------------------------------------------------------------ 
! Fonction : écriture des commentaires
!
! Entrée :
!   entree : ligne lue dans le fichier source
!   ind_entree : index de la chaine d'entrée
!   long_entree : longueur réelle de la chaine d'entrée
!
! Sortie : 
!   sortie : chaine de sortie (i.e entree traduite)
!   ind_sortie : index de la chaine de sortie
!
! Local : 
!   c : caractère de la ligne
!------------------------------------------------------------------------------
subroutine ecrire_commentaire (entree, ind_entree, long_entree, sortie, &
                               ind_sortie)

  use mod_definitions
  use mod_special

  implicit none

  character (len = *), intent(in) :: entree
  integer, intent(in) :: ind_entree, long_entree
  character (len = *), intent(out) :: sortie
  integer, intent(out) :: ind_sortie

  integer i
  character c

  sortie(ind_sortie : ind_sortie + 8) = FONTE_COMMENT 
  ind_sortie = ind_sortie + 8

  do i = ind_entree, long_entree
    c = entree (i:i)
    call special (c, sortie, ind_sortie)
  end do

  sortie(ind_sortie + 1 : ind_sortie + 1) = '}'   
  ind_sortie = ind_sortie + 1
   
end subroutine ecrire_commentaire
!------------------------------------------------------------------------------
end module mod_ecrire_commentaire

