!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_ecrire_indentation
! Contenu : routine ecrire_indentation
! Date de création : 21 juillet 2008
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
module mod_ecrire_indentation
contains
!------------------------------------------------------------------------------ 
! Fonction : écriture des indentations
!
! Entrée :
!   ind_entree : index de la chaine d'entrée 
!   ind_sortie : index de la chaine de sortie  
!
! Sortie :
!   sortie : chaine de sortie (i.e entree traduite)
!
! Local : 
!   ch_indent : ind_entree écrit en caractères
!------------------------------------------------------------------------------
subroutine ecrire_indentation (ind_entree, sortie, ind_sortie)

  use mod_definitions
  implicit none

  integer, intent (in) :: ind_entree
  integer, intent(out) :: ind_sortie
  character (len = *), intent(out) :: sortie

  integer i

  do i = 1, ind_entree
    sortie(ind_sortie : ind_sortie + 1) = '~'
    ind_sortie = ind_sortie + 1
  end do

end subroutine ecrire_indentation
!------------------------------------------------------------------------------
end module mod_ecrire_indentation

