!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_ecrire_mot
! Contenu : routine ecrire_mot
! Date de création : 15 juillet 2008
! Dernière modification : 23 juillet 2008
!------------------------------------------------------------------------------ 
module mod_ecrire_mot
contains
!------------------------------------------------------------------------------ 
! Fonction : écriture d'un mot
!
! Entrée :
!  mot : mot lu caractère par caractère
!
! Sorties :
!  sortie : chaine de sortie (i.e entree traduite)
!  ind_sortie : index de la chaine de sortie
!------------------------------------------------------------------------------
subroutine ecrire_mot (mot, sortie, ind_sortie)

  use mod_definitions
  use mod_special
  implicit none

  character (len = *), intent(in) :: mot
  character (len = *), intent(out) :: sortie
  integer, intent(out) :: ind_sortie

  integer i, long_mot
  character c

  long_mot = len_trim (mot)

! On peut avoir le caractère _ dans un mot
  do i = 1, long_mot
    c = mot(i:i)
    call special (c, sortie, ind_sortie)
  end do

end subroutine ecrire_mot
!------------------------------------------------------------------------------
end module mod_ecrire_mot


