!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_ecrire_mot_cle
! Contenu : routine ecrire_mot_cle 
! Date de création : 14 juillet 2008
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
module mod_ecrire_mot_cle
contains
!------------------------------------------------------------------------------ 
! Fonction : écriture d'un mot-clé
!
! Entrée :
!    mot : mot lu caractère par caractère
!    sortie : chaine de sortie (i.e entree traduite)
!    ind_sortie : index de la chaine de sortie
!------------------------------------------------------------------------------
subroutine ecrire_mot_cle (mot, sortie, ind_sortie)

  use mod_definitions
  use mod_special
  implicit none

  character (len = *), intent(in) :: mot
  character (len = *), intent(out) :: sortie
  integer, intent(out) :: ind_sortie

  integer i, long_mot
  character c

  long_mot = len_trim (mot)

  sortie(ind_sortie : ind_sortie + 8) = FONTE_MOTCLE 
  ind_sortie = ind_sortie + 8
   
! On peut avoir le caractère _ dans un mot-clé
  do i = 1, long_mot
    c = mot(i:i)
    call special (c, sortie, ind_sortie)
  end do

  sortie (ind_sortie:ind_sortie) = '}'
  ind_sortie = ind_sortie + 1

end subroutine ecrire_mot_cle
!------------------------------------------------------------------------------
end module mod_ecrire_mot_cle
