!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_entete
! Contenu : routine entete
! Date de création : 10 août 2007
! Dernière modification : 18 août 2008 
!------------------------------------------------------------------------------ 
module mod_entete
contains
!------------------------------------------------------------------------------ 
! Fonction : en-tête du fichier LaTeX. Définitions
!
! Entrée :
!   nom_latex : nom du fichier d'entrée traduit en LaTeX
!------------------------------------------------------------------------------
subroutine entete (nom_latex)

  use mod_definitions
  implicit none

  character (len = *), intent(in) :: nom_latex

  write (UN_SORTIE,11) "%========== Fortran to LaTeX ========================="
  write (UN_SORTIE,11) "%========== Pascal Gentil ============================"
  write (UN_SORTIE,11) "%========== pascal.gentil@uvoila.fr =================="
  write (UN_SORTIE,11) "%========== juillet 2007 - août 2008 ================="
  write (UN_SORTIE,11) "%====================================================="

  write (UN_SORTIE,11) BACKSL // "documentclass[a4paper]{article}"
  write (UN_SORTIE,11) BACKSL // "usepackage[francais]{babel}"

  write (UN_SORTIE,11) "%========== Codega Unicode ==========================="
  write (UN_SORTIE,11) BACKSL // "usepackage{ucs}"
  write (UN_SORTIE,11) BACKSL // "usepackage[utf8x]{inputenc}"

! write (UN_SORTIE,11) "%========== Codage Isolatin =========================="
! write (UN_SORTIE,11) BACKSL // "usepackage[T1]{fontenc}"
! write (UN_SORTIE,11) BACKSL // "usepackage[isolatin]{inputenc}"

  write (UN_SORTIE,11) "%========== Redédinitions des hauts et bas de pages =="
  write (UN_SORTIE,11) BACKSL // "usepackage{fancyhdr}"

  write (UN_SORTIE,11) "%========== Largeur de la page ======================="
  write (UN_SORTIE,11) BACKSL // "setlength{" // BACKSL // "textwidth}{18cm}"
  write (UN_SORTIE,11) BACKSL // "setlength{" // BACKSL // "hoffset}{-27mm}"

  write (UN_SORTIE,11) "%========== Hauteur de la page ======================="
  write (UN_SORTIE,11) BACKSL // "setlength{" // BACKSL // "textheight}{25cm}"
  write (UN_SORTIE,11) BACKSL // "setlength{" // BACKSL // "voffset}{-25mm}"

  write (UN_SORTIE,11) "%========== Pour éviter les orphelins ================"
  write (UN_SORTIE,11) BACKSL // "widowpenalty=10000"
  write (UN_SORTIE,11) BACKSL // "clubpenalty=10000"
  write (UN_SORTIE,11) BACKSL // "raggedbottom"

  write (UN_SORTIE,11) "%========== Définitions des hauts et bas de page ====="
  write (UN_SORTIE,11) BACKSL // "pagestyle{fancy}"
  write (UN_SORTIE,11) BACKSL // "newcommand{" // BACKSL // "nom}{" &
         // nom_latex(1:len_trim(nom_latex)) // '}'
  write (UN_SORTIE,11) BACKSL // "renewcommand{" // BACKSL // &
         "headrulewidth}{0.5pt}" 
  write (UN_SORTIE,11) BACKSL // "renewcommand{" // BACKSL // &
         "footrulewidth}{0.5pt}"
  write (UN_SORTIE,11) BACKSL // "lhead{" // BACKSL // "textbf{" // BACKSL &
         // "textit{" // BACKSL // "today}}}"
  write (UN_SORTIE,11) BACKSL // "cfoot{" // BACKSL // "textbf{" // BACKSL &
         // "textit{" // BACKSL // "nom}}}"
  write (UN_SORTIE,11) BACKSL // "rfoot{" // BACKSL // "textbf{" // BACKSL &
         // "textit{Page " // BACKSL // "thepage}}}"

! On doit définir les autres vide pour ne pas récupérer les valeurs par défaut
  write (UN_SORTIE,11) BACKSL // "chead{}"
  write (UN_SORTIE,11) BACKSL // "rhead{}"
  write (UN_SORTIE,11) BACKSL // "lfoot{}"
  write (UN_SORTIE,11) "%========== Début de la traduction ==================="
  write (UN_SORTIE,11) BACKSL // "begin{document}"

! Formats
11 format (A)

end subroutine entete
!------------------------------------------------------------------------------
end module mod_entete
