!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_init_liste_mots_cles
! Contenu : routine init_liste_motcles
! Date de création : 12 août 2007 
! Dernière modification : 12 août 2008
!------------------------------------------------------------------------------ 
module mod_init_liste_mots_cles
contains
!------------------------------------------------------------------------------ 
! Fonction :  
!
! Fonction : initialisation du tableau contenant les mots-clés
!
! Entrée :
!  nb_mots_cles : nombre d'éléments du tableau liste_motcle
!
! Sortie : 
!  liste_mots_cles : tableau dynamique contenant les mots clés
!
! Local : 
!  etat : statut du fichier (présent, fin)
!  mot_lu : mot-clé lu dans le fichier de mots clés
!------------------------------------------------------------------------------
subroutine init_liste_mots_cles (nb_mots_cles, liste_mots_cles)

  use mod_definitions
  implicit none

  integer, intent(in) :: nb_mots_cles
  character (len = MOT_MAX), dimension (:), intent(out) :: liste_mots_cles

  character (len = MOT_MAX) mot_lu
  integer etat, i 

  open (UN_MOTS_CLES, file = NOM_FICHIER_MOTS_CLES, form = "formatted", &
        status = "old", action = "read", iostat = etat)

  do i = 1, nb_mots_cles   
    read (UN_MOTS_CLES, '(a)', iostat = etat) mot_lu
    liste_mots_cles(i) = mot_lu   
  end do
      
  close (UN_MOTS_CLES)

end subroutine init_liste_mots_cles
!------------------------------------------------------------------------------
end module mod_init_liste_mots_cles


