!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_nomtolatex
! Contenu : routine nomtolatex
! Date de création : 10 août 2007 
! Dernière modification : 24 juillet 2008
!------------------------------------------------------------------------------ 
module mod_nomtolatex
contains
!------------------------------------------------------------------------------ 
! Fonction : traduction en LaTeX du nom du fichier (puisqu'il peut contenir
!            un caractère spécial tel _)
!
! Entrée :
!  nom_entree : nom du fichier entrée  
!
! Sortie : 
!  nom_latex : nom_entree réécrit en TeX
!
! Local : 
!  c : un caractère de la chaine d'entrée
!  ind_entree : index de la chaine d'entrée
!  ind_sortie : index de la chaine de sortie
!  long_entree : longueur réelle de la chaine d'entrée
!------------------------------------------------------------------------------
subroutine nomtolatex (nom_entree, nom_latex)
!------------------------------------------------------------------------------
  use mod_special
  implicit none


  character (len = *), intent(in) :: nom_entree
  character (len = *), intent(out) :: nom_latex

  character c
  integer ind_entree, ind_sortie, long_entree

  long_entree = len_trim (nom_entree)
  ind_entree = 0
  ind_sortie = 1
  nom_latex= ' '

  do while (ind_entree <= long_entree)
    ind_entree = ind_entree + 1
    c = nom_entree(ind_entree : ind_entree)       
    call special (c, nom_latex, ind_sortie)
  end do
   
end subroutine nomtolatex
!------------------------------------------------------------------------------
end module mod_nomtolatex

