!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_recherche_mot_cle
! Contenu : fonction recherche_mot_cle
! Date de création :  15 juillet 2008
! Dernière modification : 24 juillet 2008 
!------------------------------------------------------------------------------ 
module mod_recherche_mot_cle
contains
!------------------------------------------------------------------------------ 
! Fonction : recherche d'un mot-clé
!
! Entrée :
!  mot : mot lu caractère par caractère
!  liste_mots_cles : tableau dynamique contenant les mots clés
!  nb_mots_cles : nombre d'éléments du tableau liste_motcle
!
! Sortie : 
!   .TRUE / .FALSE.
!
! Local : 
!  cap : mot réécrit en capitales pour recherche
!------------------------------------------------------------------------------
function recherche_mot_cle (mot, liste_mots_cles, nb_mots_cles)

  use mod_definitions
  use mod_capitales   
  implicit none


  character (len = *), intent(in) :: mot
  character (len = MOT_MAX), dimension (:), intent(in) :: liste_mots_cles
  integer, intent(in) :: nb_mots_cles

  logical recherche_mot_cle

  integer i, long_mot
  character (len = MOT_MAX) cap

  recherche_mot_cle = .FALSE.

  long_mot = len_trim (mot)

! On réécrit le mot en capitales pour chercher dans le tableau
  call capitales (mot, long_mot, cap)

  do i = 1, nb_mots_cles
    if (liste_mots_cles(i)(1:len_trim(liste_mots_cles(i))) == cap(1:long_mot)) &
        then
      recherche_mot_cle = .TRUE.
      return
    end if
  end do

end function recherche_mot_cle
!------------------------------------------------------------------------------
end module mod_recherche_mot_cle
