!------------------------------------------------------------------------------ 
! Copyright (c) 2008 Pascal Gentil
!
! Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
! les termes de la Licence Publique Générale GNU telle que publiée par la Free
! Software Foundation ; soit la version 2 de cette licence, soit (à vous de
! voir...) toute autre version ultérieure.
!
! Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
! GARANTIE, ni explicite ni implicite, y compris les garanties de
! commercialisation ou d'adaptation dans un but spécifique. Prenez
! connaissance de la Licence Publique Générale GNU pour plus de détails.
! 
! Vous devez avoir reçu une copie de la Licence Publique Générale GNU avec ce
! programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation,
! Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!------------------------------------------------------------------------------ 
! Module : mod_special
! Contenu : routine special 
! Date de création : 10 août 2007
! Dernière modification : 13 août 2008
!------------------------------------------------------------------------------ 
module mod_special
contains
!------------------------------------------------------------------------------ 
! Fonction : traitement des caractères spéciaux pour LaTeX
!            #  $  %  &  {  }  _   \  |  <  >  ^
!
! Entrée :
!   c : un caractère de la chaine d'entrée
!   sortie : chaine de sortie (i.e entree traduite)
!   ind_sortie : index de la chaine de sortie
!
! Local :
!   DOLLAR : définition du dollar 
!------------------------------------------------------------------------------
subroutine special (c, sortie, ind_sortie)

  use mod_definitions
  implicit none

  character, intent(in) :: c
  character (len = *), intent(out) :: sortie
  integer, intent(out) :: ind_sortie

  character DOLLAR

  DOLLAR = char(36)

  select case (c)

    case ('#', '$', '%', '&', '_')
      sortie(ind_sortie:ind_sortie + 1) = BACKSL // c
      ind_sortie = ind_sortie + 2

    case ('{', '}') 
      sortie(ind_sortie:ind_sortie + 3) = DOLLAR // BACKSL // c // DOLLAR
      ind_sortie = ind_sortie + 4
      
    case ('\')
      sortie(ind_sortie:ind_sortie + 11) = DOLLAR // BACKSL // "backslash" &
                                        // DOLLAR
      ind_sortie = ind_sortie + 12
               
    case ('^') 
      sortie(ind_sortie:ind_sortie + 7) = DOLLAR // BACKSL // "wedge" //   &
                                          DOLLAR
      ind_sortie = ind_sortie + 8

    case ('|', '<', '>')
      sortie(ind_sortie:ind_sortie + 2) = DOLLAR // c // DOLLAR
      ind_sortie = ind_sortie + 3

    case default
      sortie(ind_sortie:ind_sortie) = c
      ind_sortie = ind_sortie + 1

  end select

end subroutine special
!------------------------------------------------------------------------------
end module mod_special

